Text at MediaWiki:Signupstart not shown
Closed, ResolvedPublic

Description

MediaWiki:Signupstart contains the following text:

"By creating an account in this project and/or using other wmflabs.org Services, you agree to comply with the Terms of Use for wmflabs.org. In particular, you agree not to collect, store, or share private data or personally identifiable information, such as user names, passwords, or IP addresses from the individuals using your Labs Project, except when complying with the conditions listed in the Terms of Use."

Unfortunately, this legal notice seems to not be shown at Special:CreateAccount, probably because of the recent login form changes.

Just as bad is that the removal of this message is not documented at https://www.mediawiki.org/wiki/Account_creation_user_experience/Strings , which might cause problems for third-party wikis upgrading to 1.22.


Version: unspecified
Severity: major
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=47883

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz56455.
PleaseStand created this task.Via LegacyNov 1 2013, 6:42 AM
Peachey88 added a comment.Via ConduitNov 21 2013, 10:27 AM

Bumping propriety, Moving from Labs -> MediaWiki.

This message can contain important information which third party users may need for a variety of different users (eg: Legal Notices come to mind).

PleaseStand added a comment.Via ConduitNov 21 2013, 6:04 PM

[Adding author and approver of gerrit 57823 to the CC list.]

MZMcBride added a comment.Via ConduitNov 22 2013, 2:00 AM

(In reply to comment #2)

https://gerrit.wikimedia.org/r/55847 as well.

From that changeset:


On the other hand, if a wiki wants to add that mountain of text, we can counsel them not to, but we _cannot_ try to subvert them by removing utility functions like header and footer messages. That will only lead to terrible hacks. Sensible defaults should be in place for all MediaWiki messages, of course, which can include having a blank default message.

Attempting subversion of this nature (such as removing interface messages) not only harms the Wikimedia wikis, it harms all MediaWiki wikis, which is even worse. Suddenly, as I see it, the English Wikipedia's poor interface decisions are now negatively affecting everyone else, even though the English Wikipedia is in fact wrong and should change.

bzimport added a comment.Via ConduitNov 22 2013, 6:24 PM

swalling wrote:

(In reply to comment #0)

MediaWiki:Signupstart contains the following text:

"By creating an account in this project and/or using other wmflabs.org
Services, you agree to comply with the Terms of Use for wmflabs.org. In
particular, you agree not to collect, store, or share private data or
personally identifiable information, such as user names, passwords, or IP
addresses from the individuals using your Labs Project, except when complying
with the conditions listed in the Terms of Use."

Unfortunately, this legal notice seems to not be shown at
Special:CreateAccount, probably because of the recent login form changes.

Do we know that the Terms of Use actually have to be presented on registration?

Currently the practice in MediaWiki sites is to put a link in the footer, which provides a persistent link for all users of a wiki, not just those signing up.

Ryan, Coren: thoughts?

If we need to put in a default blank message for legal disclaimers, let's do that and name the message appropriately. We very well might support other projects that have this same use case.

I'm very much open to putting in new MediaWiki messages *where a clear use case arises*. I think it's bad idea to build in generalized "dump all warnings, rules, and instruction cruft here" messages.

coren added a comment.Via ConduitNov 22 2013, 7:07 PM

It's not clear to me that they /have/ to be presented on registration, but I sure as hell think it's extraordinarily bad practice to not show it since the positive act by the user (creating the account) is intended to bind them to the agreement.

RyanLane added a comment.Via ConduitNov 22 2013, 7:58 PM

Legal asked us to put it on the registration page.

And WTF. Why is this considered a new message? It was an existing message that was simply stripped from the new form.

bzimport added a comment.Via ConduitNov 22 2013, 11:19 PM

swalling wrote:

(In reply to comment #6)

Legal asked us to put it on the registration page.

And WTF. Why is this considered a new message? It was an existing message
that
was simply stripped from the new form.

Nobody else was using the message as a required legal disclaimer. This is precisely why generic bucket-o-stuff messages are a bad idea.

Peachey88 added a comment.Via ConduitNov 22 2013, 11:21 PM

(In reply to comment #7)

Nobody else was using the message as a required legal disclaimer. This is
precisely why generic bucket-o-stuff messages are a bad idea.

You know this how? There is a world outside of WMF hosted wikis…

RyanLane added a comment.Via ConduitNov 22 2013, 11:23 PM

(In reply to comment #7)

(In reply to comment #6)
> Legal asked us to put it on the registration page.
>
> And WTF. Why is this considered a new message? It was an existing message
> that
> was simply stripped from the new form.

Nobody else was using the message as a required legal disclaimer. This is
precisely why generic bucket-o-stuff messages are a bad idea.

I'd be very surprised if one of the messages removed wasn't being used as a legal disclaimer by a third party wiki. We're working on a software package being used by tens (hundreds?) of thousands of people. If we're only considering ourselves when making changes we're failing.

bzimport added a comment.Via ConduitNov 22 2013, 11:24 PM

swalling wrote:

(In reply to comment #8)

(In reply to comment #7)
> Nobody else was using the message as a required legal disclaimer. This is
> precisely why generic bucket-o-stuff messages are a bad idea.

You know this how? There is a world outside of WMF hosted wikis…

Obviously I wasn't referring to non-Wikimedia wikis. There's no way to know what everyone with a third party install is or isn't doing with MediaWiki.

bzimport added a comment.Via ConduitNov 22 2013, 11:27 PM

swalling wrote:

(In reply to comment #9)

(In reply to comment #7)
> (In reply to comment #6)
> > Legal asked us to put it on the registration page.
> >
> > And WTF. Why is this considered a new message? It was an existing message
> > that
> > was simply stripped from the new form.
>
> Nobody else was using the message as a required legal disclaimer. This is
> precisely why generic bucket-o-stuff messages are a bad idea.

I'd be very surprised if one of the messages removed wasn't being used as a
legal disclaimer by a third party wiki. We're working on a software package
being used by tens (hundreds?) of thousands of people. If we're only
considering ourselves when making changes we're failing.

Sorry, but I'm not going to consider the infinite number of third party use cases in this bug. That's not what our donors give money for, and it's not what I nor the developers who recently redesigned account creation are paid to do. MediaWiki is open source precisely so that if someone wants to put a new MediaWiki message somewhere, they can build it for themselves.

Peachey88 added a comment.Via ConduitNov 22 2013, 11:29 PM

(In reply to comment #11)

I nor the developers who recently redesigned account creation are paid to do.
MediaWiki is open source precisely so that if someone wants to put a new
MediaWiki message somewhere, they can build it for themselves.

Third party patching, What a lovely idea! something we already explicitly do not support due to it being a stupid idea.

RyanLane added a comment.Via ConduitNov 22 2013, 11:38 PM

(In reply to comment #11)

(In reply to comment #9)
> (In reply to comment #7)
> > (In reply to comment #6)
> > > Legal asked us to put it on the registration page.
> > >
> > > And WTF. Why is this considered a new message? It was an existing message
> > > that
> > > was simply stripped from the new form.
> >
> > Nobody else was using the message as a required legal disclaimer. This is
> > precisely why generic bucket-o-stuff messages are a bad idea.
>
> I'd be very surprised if one of the messages removed wasn't being used as a
> legal disclaimer by a third party wiki. We're working on a software package
> being used by tens (hundreds?) of thousands of people. If we're only
> considering ourselves when making changes we're failing.

Sorry, but I'm not going to consider the infinite number of third party use
cases in this bug. That's not what our donors give money for, and it's not
what
I nor the developers who recently redesigned account creation are paid to do.
MediaWiki is open source precisely so that if someone wants to put a new
MediaWiki message somewhere, they can build it for themselves.

I'll be honest that this comment makes me want to go back and revert the gerrit change for this. This is just about the worst thing you can say as a member of an organization charged with supporting MediaWiki as an upstream. This is *not* how open source software works.

Funny enough, I thought this was simply an oversight made during the switchover, now I'm kind of pissed off. Just suck it up and design in a solution to this problem and stop shitting on the third party users.

coren added a comment.Via ConduitNov 22 2013, 11:41 PM

(In reply to comment #11)

Sorry, but I'm not going to consider the infinite number of third party use
cases in this bug. That's not what our donors give money for, and it's not
what
I nor the developers who recently redesigned account creation are paid to do.
MediaWiki is open source precisely so that if someone wants to put a new
MediaWiki message somewhere, they can build it for themselves.

That makes absolutely no sense to me. "Showing a message/disclaimer on the account signup" is hardly a bizarre edge case; that (you thought) we don't use it on our projects doesn't justify axing something which is reasonably useful in many other cases.

Indeed, that we /do/ in fact use and need that message on Wikitech is a good illustration that removing it preemptively was ill-advised.

bzimport added a comment.Via ConduitNov 22 2013, 11:41 PM

swalling wrote:

(In reply to comment #13)

Funny enough, I thought this was simply an oversight made during the
switchover, now I'm kind of pissed off. Just suck it up and design in a
solution to this problem and stop shitting on the third party users.

I proposed a solution already in comment #4. To restate: Make a message like MediaWiki:Signup-disclaimers message and set it to blank as default. Fill it in on Labs. Problem solved.

Peachey88 added a comment.Via ConduitNov 22 2013, 11:43 PM

(In reply to comment #15)

(In reply to comment #13)
> Funny enough, I thought this was simply an oversight made during the
> switchover, now I'm kind of pissed off. Just suck it up and design in a
> solution to this problem and stop shitting on the third party users.

I proposed a solution already in comment #4. To restate: Make a message like
MediaWiki:Signup-disclaimers message and set it to blank as default. Fill it
in
on Labs. Problem solved.

Or just reinstate the original message which is already filled in instead of making a new message for it (Which I would be guessing the i18n would probably prefer)

RyanLane added a comment.Via ConduitNov 22 2013, 11:44 PM

(In reply to comment #15)

(In reply to comment #13)
> Funny enough, I thought this was simply an oversight made during the
> switchover, now I'm kind of pissed off. Just suck it up and design in a
> solution to this problem and stop shitting on the third party users.

I proposed a solution already in comment #4. To restate: Make a message like
MediaWiki:Signup-disclaimers message and set it to blank as default. Fill it
in
on Labs. Problem solved.

Right, so un-remove the thing that was already there most likely for reasons just like this? Anyway, yes, that's an acceptable solution.

RyanLane added a comment.Via ConduitNov 22 2013, 11:47 PM

(In reply to comment #16)

(In reply to comment #15)
> (In reply to comment #13)
> > Funny enough, I thought this was simply an oversight made during the
> > switchover, now I'm kind of pissed off. Just suck it up and design in a
> > solution to this problem and stop shitting on the third party users.
>
> I proposed a solution already in comment #4. To restate: Make a message like
> MediaWiki:Signup-disclaimers message and set it to blank as default. Fill it
> in
> on Labs. Problem solved.

Or just reinstate the original message which is already filled in instead of
making a new message for it (Which I would be guessing the i18n would
probably
prefer)

Third party users already using this message would likely prefer that too ;).

bzimport added a comment.Via ConduitNov 22 2013, 11:50 PM

swalling wrote:

(In reply to comment #17)

(In reply to comment #15)
> (In reply to comment #13)
> > Funny enough, I thought this was simply an oversight made during the
> > switchover, now I'm kind of pissed off. Just suck it up and design in a
> > solution to this problem and stop shitting on the third party users.
>
> I proposed a solution already in comment #4. To restate: Make a message like
> MediaWiki:Signup-disclaimers message and set it to blank as default. Fill it
> in
> on Labs. Problem solved.

Right, so un-remove the thing that was already there most likely for reasons
just like this? Anyway, yes, that's an acceptable solution.

Making a message named something like "signupstart" that does not denote its purpose is a terrible idea, which is why it was removed in the first place. Every non-essential piece of text is a distraction and an impediment to people signing up quickly and painlessly. This has a very real and lasting negative impact on users of the signup form.

There's an obvious need for adding legal disclaimers to the signup page on Labs. Let's do that. There is not a clear use case for anything else. No one has made clear why it's a good idea to have generic blank MediaWiki messages lying around essential parts of Core. Encouraging site admins to add random cruft to one of the most important forms on any wiki is not okay, which is precisely why the message was removed.

matmarex added a comment.Via ConduitNov 22 2013, 11:51 PM

(In reply to comment #16)

Or just reinstate the original message which is already filled in instead of
making a new message for it (Which I would be guessing the i18n would
probably prefer)

This sounds reasonable to me as well. If some Wikimedia wikis are abusing it, please work with them about it instead of killing the message.

Mattflaschen added a comment.Via ConduitNov 22 2013, 11:55 PM

(In reply to comment #11)

Sorry, but I'm not going to consider the infinite number of third party use
cases in this bug. That's not what our donors give money for, and it's not
what I nor the developers who recently redesigned account creation are paid
to do.

To be clear, I did not ignore third party use cases when implementing this. I worked under the theory that the small, targeted messages and links we added (e.g. createacct-helpusername, createacct-helpusername-link, and createacct-imgcaptcha-help) would be enough to replace the long text at the start and end, for MW wikis in general.

The idea was that inline placement and linking (instead of of long messages on the page itself) would be more user-friendly and encourage concise messages.

coren added a comment.Via ConduitNov 23 2013, 12:16 AM

(In reply to comment #21)

The idea was that inline placement and linking (instead of of long messages
on
the page itself) would be more user-friendly and encourage concise messages.

There's a good case that can be made for this, but it's hardly our place to make it on behalf of every potential Mediawiki user. Make it not show by default on our projects because our UX team estimates it will be beneficial? Excellent. Remove the /capability/ to do otherwise because we *think* that reasoning holds for everyon? Not so much.

gerritbot added a comment.Via ConduitNov 23 2013, 5:33 AM

Change 97185 had a related patch set uploaded by MarkAHershberger:
Restore MediaWiki:Signupstart for account creation

https://gerrit.wikimedia.org/r/97185

gerritbot added a comment.Via ConduitNov 23 2013, 6:25 AM

Change 97192 had a related patch set uploaded by MarkAHershberger:
Restore MediaWiki:Signupstart for account creation

https://gerrit.wikimedia.org/r/97192

MZMcBride added a comment.Via ConduitNov 23 2013, 7:44 PM

Mark: there's also "MediaWiki:Signupend". I'm not sure if one or both messages were removed. Thank you for poking at this! I really appreciate it.

MarkAHershberger added a comment.Via ConduitNov 24 2013, 12:36 AM

http://lexikon.freenet.de/MediaWiki:Signupstart?action=edit

(Ok, I'll stop now. It looks like ~10% of those I've checked have modified this message.)

MarkAHershberger added a comment.Via ConduitNov 24 2013, 12:38 AM

Just noticed that the last one seems to be scrapping dewiki.

bzimport added a comment.Via ConduitNov 24 2013, 5:34 AM

swalling wrote:

(In reply to comment #26)

Also found on commons:
https://commons.wikimedia.org/wiki/MediaWiki:Signupstart

(In reply to comment #27)

http://pirateparty.org.au/wiki/MediaWiki:Signupstart

(In reply to comment #29)

http://www.dissociative-identity-disorder.net/wiki/MediaWiki:Signupstart

These examples show exactly the kind of content that suggested to us that this message is being abused, where it's used at all. Giving a space to outline all rules and edge cases of account creation on the signup form is the worst of both worlds: The people who should read it generally don't, and the people who don't need to read it are hampered by the wall of text.

The Commons version of signupstart is quite helpful, but is outdated. It's part of a process of post-signup onboarding that is no longer given to users.

MZMcBride added a comment.Via ConduitNov 24 2013, 5:23 PM

(In reply to comment #32)

(In reply to comment #26)

Also found on commons:
https://commons.wikimedia.org/wiki/MediaWiki:Signupstart

(In reply to comment #27)

http://pirateparty.org.au/wiki/MediaWiki:Signupstart

(In reply to comment #29)

http://www.dissociative-identity-disorder.net/wiki/MediaWiki:Signupstart

These examples show exactly the kind of content that suggested to us that
this message is being abused, where it's used at all.

This comment is idiotic. There are three examples above. One (commons.wikimedia.org) you admit below is "quite helpful." Another (pirateparty.org) is literally two sentences that explains to users how to seek help if they have trouble creating an account. I'll reproduce it below for posterity:


If you are having trouble creating an account, please, contact us, and we will help create one for you.

You can also ask for help in IRC.

The third (dissociative-identity-disorder.net) is in fact a wall of text and could be considered abuse only by someone with the loosest grasp of the English language.

I can't do much more than repeat what I said in April 2013, quoted above in comment 3. This was a bullshit breaking change.

MZMcBride added a comment.Via ConduitNov 24 2013, 5:36 PM

For the record, MediaWiki:Signupstart and MediaWiki:Signupend were removed in https://gerrit.wikimedia.org/r/67233 by S Page and Matt Flaschen. The messages were left in messages.inc, MessagesEn.php, and MessagesQqq.php, but the calling code was removed. Rather than being called directly from includes/specials/SpecialUserlogin.php, the messages were called from includes/templates/Userlogin.php and includes/templates/Usercreate.php.

This means that in addition to being a breaking change (that continues to be undocumented at [[mw:Account creation user experience/Strings]], which is referenced from the 1.22 release notes), this particular change is especially annoying to track down because:

  • it uses a template system that no other part of the site interface uses and
  • the message keys still exist in 1.22, however they're simply not used anywhere.

I'd forgotten why I was so annoyed earlier this year at this series of changes by the now-defunct "E3" team and I've now re-remembered what an unacceptable, shameful, and apparently unsupervised development process took place. I hope this issue can be corrected prior to the release of 1.22.0 final.

MarkAHershberger added a comment.Via ConduitNov 25 2013, 5:59 PM

(In reply to comment #34)

This means that in addition to being a breaking change (that continues to be
undocumented at [[mw:Account creation user experience/Strings]]

After spending the time to using "git bisect" to find the change, I notice this problem and meant to note it here. Thanks for pointing that out, MZ.

Markus Glaser has pointed out that it isn't uncommon for people who ask Hallo Welt! to set up MediaWiki for them to also request that the account creation process be modified.

We'll attempt to address this in the next MW release, but for now, I'll try to get I79423c1a05f0359c902d1940c3ffcd5e509dcf97 integrated into core.

Nemo_bis added a comment.Via ConduitNov 30 2013, 10:58 AM

(In reply to comment #35)

We'll attempt to address this in the next MW release, but for now, I'll try
to
get I79423c1a05f0359c902d1940c3ffcd5e509dcf97 integrated into core.

TL;DR from comments there: some don't like MediaWiki:Signupstart to be reinstated because they're too lazy to blank it on Wikimedia wikis directly, and changing message name is so much easier.

According to https://toolserver.org/~pathoschild/globalgroups/#staff , 46 users have the technical power to go through all those Wikimedia wikis and edit the message, reaching their goal without bothering tens of thousands third party installations. Please don't waste time in useless discussions and just use your [edit] buttons. Thanks.

MarkAHershberger added a comment.Via ConduitNov 30 2013, 5:32 PM

Nemo, thanks for the suggestion. I've referred to it on Gerrit. I think that + using isDisabled() to prevent display of the message should be acceptable.

TheDJ added a comment.Via ConduitDec 2 2013, 9:24 AM

@Raimond: On that front, i guess we probably need a release note with the exact names of the messages that are replacing the loginstart/end/https messages as detailed by Matthew.

gerritbot added a comment.Via ConduitDec 3 2013, 3:42 AM

Change 97192 merged by MarkAHershberger:
Restore Signupstart and Signupend messages for account creation

https://gerrit.wikimedia.org/r/97192

MZMcBride added a comment.Via ConduitDec 3 2013, 4:48 AM

While I have the browser tabs open...

  • loginend was added in r2359
  • loginend was expanded to loginend and signupend in r11896
  • loginstart was added in r26477
  • signupstart was added in r71095
Nemo_bis added a comment.Via ConduitDec 3 2013, 10:02 PM

For those tuning in now, I've skimmed the gerrit discussion (which I wasn't following) and despite many added words nothing needs to be added to the TL;DR in comment 37.

Mattflaschen added a comment.Via ConduitDec 4 2013, 3:19 AM

(In reply to comment #0)

Just as bad is that the removal of this message is not documented at
https://www.mediawiki.org/wiki/Account_creation_user_experience/Strings ,
which might cause problems for third-party wikis upgrading to 1.22.

To be clear, this was an unintentional documentation error. We already have a Trello task to fix this once the core situation is finalized.

Mattflaschen added a comment.Via ConduitDec 5 2013, 1:08 AM

We've decided to okay restoring signupstart and signupend to core. It's true that third-party wikis have different UX considerations, which may result in a different conclusion in this case.

We will run a script blanking the messages on Wikimedia production wikis. We may protect them in the future.

matmarex added a comment.Via ConduitDec 6 2013, 10:54 PM

Should 'loginstart' and 'loginend' be restored for consistency
as well? (bug 47883)

gerritbot added a comment.Via ConduitDec 6 2013, 10:57 PM

Change 97185 merged by jenkins-bot:
Restore Signupstart and Signupend messages for account creation

https://gerrit.wikimedia.org/r/97185

Mattflaschen added a comment.Via ConduitDec 6 2013, 11:01 PM

(In reply to comment #45)

Should 'loginstart' and 'loginend' be restored for consistency
as well? (bug 47883)

I don't know. The use cases are not the same. Some wikis need people to agree to terms on signing up, but the same does not usually apply to every login.

Peachey88 added a comment.Via ConduitDec 6 2013, 11:16 PM

(In reply to comment #47)

(In reply to comment #45)
> Should 'loginstart' and 'loginend' be restored for consistency
> as well? (bug 47883)

I don't know. The use cases are not the same. Some wikis need people to
agree
to terms on signing up, but the same does not usually apply to every login.

I know companies that put warnings on logins (including servers that only one single person uses) for their computer systems, I wouldn't be surprised if end projects such as wikis could be done the same way.

Aklapper added a comment.Via ConduitDec 7 2013, 2:37 AM

[Bumping TM as MediaWiki 1.22.0 tarball was released today.]

matmarex added a comment.Via ConduitDec 7 2013, 2:52 AM

The fix was merged into both 1.22 and master.

RyanLane added a comment.Via ConduitDec 7 2013, 2:52 PM

(In reply to comment #48)

(In reply to comment #47)
> (In reply to comment #45)
> > Should 'loginstart' and 'loginend' be restored for consistency
> > as well? (bug 47883)
>
> I don't know. The use cases are not the same. Some wikis need people to
> agree
> to terms on signing up, but the same does not usually apply to every login.

I know companies that put warnings on logins (including servers that only one
single person uses) for their computer systems, I wouldn't be surprised if
end
projects such as wikis could be done the same way.

As someone who worked for the US government, I can verify this is used (as I've personally added it on government wikis).

MZMcBride added a comment.Via ConduitDec 7 2013, 6:07 PM

In my view, this bug report and the related change sets were a complete fucking waste of time. Steven and his team were explicitly told in April 2013 that removing these messages would be problematic and they decided to ignore that.

We've now released MediaWiki 1.22 with the sign up messages, but without the login messages, causing an unnecessary functionality regression. In addition, we've seen (perhaps for the first time since Gerrit was set up) someone actively abusing the ability to mark a commit with -2. All in all, neither Wikimedia nor MediaWiki's finest moment. Ugh.

Mattflaschen added a comment.Via ConduitDec 17 2013, 5:23 AM

(In reply to comment #44)

We will run a script blanking the messages on Wikimedia production wikis.

I've run this (Steven did a few that the script couldn't handle on my account).

Mattflaschen added a comment.Via ConduitDec 17 2013, 5:26 AM

(In reply to comment #53)

I've run this (Steven did a few that the script couldn't handle on my
account).

I ran the script under my account, then Steven did/is doing the manual ones under his own account.

Add Comment